Package org.apache.wiki.auth.permissions

## Class PermissionFactory

- java.lang.Object
- - org.apache.wiki.auth.permissions.PermissionFactory

    public final class PermissionFactory
    extends java.lang.Object

Provides a factory for Permission objects. Since the Permissions are immutable, and creating them takes a bit of time, caching them makes sense.

This class stores the permissions in a static HashMap.

Since:
  2.5.54

### Method Summary

All Methods Static Methods Concrete Methods
`static PagePermission` `getPagePermission​(java.lang.String page, java.lang.String actions)` Get a permission object for a WikiPage and a set of actions.
`static PagePermission` `getPagePermission​(Page page, java.lang.String actions)` Get a permission object for a WikiPage and a set of actions.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getPagePermission

    public static PagePermission getPagePermission​(Page page,
                                                   java.lang.String actions)

Get a permission object for a WikiPage and a set of actions.

Parameters:
  `page` - The page object.
  `actions` - A list of actions.
Returns:
  A PagePermission object, presenting this page+actions combination.

#### getPagePermission

    public static PagePermission getPagePermission​(java.lang.String page,
                                                   java.lang.String actions)

Get a permission object for a WikiPage and a set of actions.

Parameters:
  `page` - The name of the page.
  `actions` - A list of actions.
Returns:
  A PagePermission object, presenting this page+actions combination.